package cn.estsh.i3plus.ext.mes.apiservice.controller.report;

import cn.estsh.i3plus.ext.mes.api.busi.report.IMesWorkCellScanMonitorLogService;
import cn.estsh.i3plus.ext.mes.pojo.model.report.MesWorkCellScanMonitorConditionModel;
import cn.estsh.i3plus.ext.mes.pojo.model.report.MesWorkCellScanMonitorLogModel;
import cn.estsh.i3plus.platform.common.util.CommonConstWords;
import cn.estsh.i3plus.pojo.base.enumutil.ResourceEnumUtil;
import cn.estsh.impp.framework.base.controller.BaseController;
import cn.estsh.impp.framework.boot.auth.AuthUtil;
import cn.estsh.impp.framework.boot.exception.ImppBusiException;
import cn.estsh.impp.framework.boot.exception.ImppExceptionBuilder;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description :工位扫描日志合并设备日志报表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2023/02/06 09:59
 * @Modify:
 **/
@RestController
@RequestMapping(CommonConstWords.BASE_URL_MES)
@Api(tags = "工位扫描日志合并设备日志报表")
public class MesWorkCellScanMonitorLogController extends BaseController {

    @Autowired
    private IMesWorkCellScanMonitorLogService workCellScanMonitorLogService;

    @PostMapping(value = "/ext/work-cell-scan-monitor-log/report/query")
    @ApiOperation(value = "查询工位扫描日志合并设备日志报表")
    public ResultBean queryWorkCellScanMonitorLogList(@RequestBody MesWorkCellScanMonitorConditionModel conditionModel) {
        try {
            conditionModel.setOrganizeCode(AuthUtil.getOrganize().getOrganizeCode());
            List<MesWorkCellScanMonitorLogModel> result = workCellScanMonitorLogService.queryWorkCellScanMonitorLogList(conditionModel);
            return ResultBean.success("查询成功").setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode()).setResultList(result);
        } catch (ImppBusiException e) {
            return ResultBean.fail(e);
        } catch (Exception e) {
            return ImppExceptionBuilder.newInstance().buildExceptionResult(e);
        }
    }

}
